diff --git a/doc/src/sgml/amcheck.sgml b/doc/src/sgml/amcheck.sgml
index a2571d33ae6..c570690b59c 100644
--- a/doc/src/sgml/amcheck.sgml
+++ b/doc/src/sgml/amcheck.sgml
@@ -279,7 +279,7 @@ SET client_min_messages = DEBUG1;
         <para>
          If specified, corruption checking begins at the specified block,
          skipping all previous blocks.  It is an error to specify a
-         <literal>startblock</literal> outside the range of blocks in the
+         <parameter>startblock</parameter> outside the range of blocks in the
          target table.
         </para>
         <para>
@@ -293,7 +293,7 @@ SET client_min_messages = DEBUG1;
         <para>
          If specified, corruption checking ends at the specified block,
          skipping all remaining blocks.  It is an error to specify an
-         <literal>endblock</literal> outside the range of blocks in the target
+         <parameter>endblock</parameter> outside the range of blocks in the target
          table.
         </para>
         <para>
diff --git a/doc/src/sgml/brin.sgml b/doc/src/sgml/brin.sgml
index 39c01dc6808..940563c83f9 100644
--- a/doc/src/sgml/brin.sgml
+++ b/doc/src/sgml/brin.sgml
@@ -716,7 +716,7 @@ LOG:  request for BRIN range summarization for index "brin_wi_idx" page 128 was
    </para>
 
    <para>
-    <acronym>bloom</acronym> operator classes accept these parameters:
+    <literal>bloom</literal> operator classes accept these parameters:
    </para>
 
    <variablelist>
diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index f517a7d4aff..71ff9b8cc9f 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -7403,8 +7403,8 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        An array containing codes for the enabled statistics kinds;
        valid values are:
        <literal>d</literal> for n-distinct statistics,
-       <literal>f</literal> for functional dependency statistics, and
-       <literal>m</literal> for most common values (MCV) list statistics
+       <literal>f</literal> for functional dependency statistics,
+       <literal>m</literal> for most common values (MCV) list statistics, and
        <literal>e</literal> for expression statistics
       </para></entry>
      </row>
diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 381d8636ab4..d64494186a7 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -7017,7 +7017,7 @@ local0.*    /var/log/postgresql
             </row>
             <row>
              <entry><literal>%Q</literal></entry>
-             <entry>query identifier of the current query.  Query
+             <entry>Query identifier of the current query.  Query
              identifiers are not computed by default, so this field
              will be zero unless <xref linkend="guc-compute-query-id"/>
              parameter is enabled or a third-party module that computes
